### A free/open-source library for quantitative finance

Public Member Functions
IborCoupon Class Reference

Coupon paying a Libor-type index More...

`#include <ql/cashflows/iborcoupon.hpp>`

Inheritance diagram for IborCoupon:
[legend]

List of all members.

## Public Member Functions

| IborCoupon (const Date &paymentDate, Real nominal, const Date &startDate, const Date &endDate, Natural fixingDays, const boost::shared_ptr< IborIndex > &index, Real gearing=1.0, Spread spread=0.0, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date(), const DayCounter &dayCounter=DayCounter(), bool isInArrears=false)
Inspectors
const boost::shared_ptr < IborIndex > & | iborIndex () const
FloatingRateCoupon interface
Rate | indexFixing () const
| Implemented in order to manage the case of par coupon.
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Coupon paying a Libor-type index